Create a durable input request for a conversation
curl --request POST \
--url https://api.veryfront.com/conversations/{conversation_id}/input-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"run_id": "<string>",
"tool_call_id": "<string>",
"title": "<string>",
"fields": [
{}
],
"kind": "form",
"description": "<string>",
"recommendations": {},
"expires_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
'import requests
url = "https://api.veryfront.com/conversations/{conversation_id}/input-requests"
payload = {
"run_id": "<string>",
"tool_call_id": "<string>",
"title": "<string>",
"fields": [{}],
"kind": "form",
"description": "<string>",
"recommendations": {},
"expires_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
run_id: '<string>',
tool_call_id: '<string>',
title: '<string>',
fields: [{}],
kind: 'form',
description: '<string>',
recommendations: {},
expires_at: '2023-11-07T05:31:56Z',
metadata: {}
})
};
fetch('https://api.veryfront.com/conversations/{conversation_id}/input-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "<string>",
"tool_call_id": "<string>",
"kind": "form",
"title": "<string>",
"description": "<string>",
"fields": [
{}
],
"recommendations": {},
"metadata": {},
"created_at": "<string>",
"expires_at": "<string>",
"submitted_at": "<string>",
"cancelled_at": "<string>",
"expired_at": "<string>",
"latest_response": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "<string>",
"actor_id": "<string>",
"values": {},
"created_at": "<string>"
}
}{
"type": "https://api.veryfront.com/errors/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}Create a durable input request for a conversation
Creates an owner-scoped durable input request for a conversation so a human responder can provide structured input.
POST
/
conversations
/
{conversation_id}
/
input-requests
Create a durable input request for a conversation
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Body
application/json
Required string length:
1 - 255Required string length:
1 - 255Available options:
human, agent, system Required string length:
1 - 1000Required array length:
1 - 100 elementsAvailable options:
form Required string length:
1 - 20000Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Created input request
Available options:
form Available options:
open, submitted, cancelled, expired Available options:
human, agent, system Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I